Tuesday, November 26, 2013

HOWTO: Test E18, EFL 1.8.0, and Terminology 0.4.0 on Bodhi Linux

As of this past weekend the testing builds of the Enlightenment window manager DR18 (E18 for short) are in the Bodhi Linux testing repository. The following are the steps you need to take if you would like to install and help test the future of the Enlightenment desktop on your Bodhi Linux install.

Step 1 - Add the testing Repository

First we need to add the testing repository to our software sources. Open our sources.list with sudo using the following command:

gksudo leafpad /etc/apt/sources.list

Towards the bottom of the file you will find a line that reads:

deb http://packages.bodhilinux.com/bodhi precise stable

After the "stable" component we want to add the "testing" component. To do this we edit the above line to be:

deb http://packages.bodhilinux.com/bodhi precise stable testing

Save and close the file.

Step 2 - Upgrade to EFL 1.8.0

Open your terminal emulator of choice and run the following command:

sudo apt-get update && sudo apt-get dist-upgrade

This command will tell you that it wants to remove a number of packages (ecore edje eet eeze efreet eina eio embryo emotion eobj ethumb evas). This is fine - all of these packages have been merged into one "efl" package. Let the upgrade command complete.

Step 3 - Install E18

The default "enlightenment" package in Bodhi Linux will remain as the DR17 desktop - we will not be forcing anyone to upgrade to E18 so long as E17 still builds with the latest Enlightenment Foundation Libraries. This means to replace E17 with E18 we need to install the E18 package. In your favorite terminal run:

sudo apt-get install e18

It will tell you it wants to remove the "enlightenment" package - let it. After it finishes installing you should restart your desktop environment. 

Congrats, you now have the E18 desktop to play with!

A few Notes

I would like to remind everyone that this is pre-release software and you should expect to encounter issues. You can report/discuss the issues you are having in the testing section of the Bodhi forums.

At this current point a number of the extra modules (such as places and the engage dock) that the Bodhi profiles use are not currently built for E18. We will be working on adding support for these over the next few weeks.

In this same vein - a number of the existing E17 themes will have issues running under E18. They will all need updates to function with the latest version of the desktop. So when trying to confirm bugs it is always best that you are using the "default" E18 theme when testing things.

If you run into issues getting the testing repo added or the software installed I would encourage you to please open a thread on our user forums as opposed to simply posting a comment below. It is much easier to debug software issues on a forum than in a comments section.

~Jeff Hoogland